Bug 904055 - only root can mount an external hard disk connected through eSATA
only root can mount an external hard disk connected through eSATA
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: udisks2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 06:32 EST by Alexander van Loon
Modified: 2015-03-03 18:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:42:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander van Loon 2013-01-25 06:32:38 EST
Description of problem:
When I connect an external hard disk through eSATA and click it in Nautilus to access it, I have to give my root password, after doing so it works fine though. This is strange because USB flash drives obviously mount automatically for a normal user, I'd wouldn't expect it to be different for my eSATA hard drive.

This is on a fresh install of Fedora 18 with a normal user. I didn't mess with the rights of my user account, it's all completely default.
Comment 1 Fedora Admin XMLRPC Client 2013-02-04 08:19:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2013-02-04 08:19:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Alexander van Loon 2013-08-18 04:40:12 EDT
It's still happening in Fedora 19.
Comment 4 Miklos Monostory 2013-09-04 12:36:59 EDT
In Ferdora 19 the system did not offer the window to enter the root password. I only got an error message saying: 'You do not have privilege to mount this device'.
However, if I start Crusader in root mode the mounting works well.
When the error occurs, at the same time I can not restart, logout or shut down the system from Kickoff - only from terminal in su mode.
Comment 5 Fedora End Of Life 2015-01-09 12:36:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:42:14 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.